
QGIS Application - Bug report #11744

After activation action in window Feature attributes - Crash

2014-11-25 09:56 PM - Alexander Novoselov

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.6.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19977

Description

After activation action in window Feature attributes - Crash

1) select layer in editing mode

2) use identify Features

3) in window Feature attributes select actions 

4) crash qgis

QGIS died on signal 11[New LWP 12362]

[New LWP 12361]

[New LWP 12360]

[New LWP 12359]

[New LWP 12358]

[New LWP 12357]

[New LWP 12356]

[New LWP 12352]

[New LWP 12351]

[New LWP 12346]

[New LWP 12345]

[New LWP 12344]

[New LWP 12338]

[New LWP 12337]

[New LWP 12336]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f741e410619 in __libc_waitpid (pid=12363, stat_loc=0x7fff9051357c, options=0) at

../sysdeps/unix/sysv/linux/waitpid.c:40

40    ../sysdeps/unix/sysv/linux/waitpid.c: Нет такого файла или каталога.

[Current thread is 1 (Thread 0x7f7426588800 (LWP 12335))]

#0  0x00007f741e410619 in __libc_waitpid (pid=12363, stat_loc=0x7fff9051357c, options=0) at

../sysdeps/unix/sysv/linux/waitpid.c:40

        resultvar = 140735614631680

        oldtype = 0

#1  0x0000000000501277 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No locals.

#3  0x00007f7422715cdb in QgsFeature::attribute(int) const () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#4  0x00007f74226e5a54 in QgsExpression::NodeColumnRef::eval(QgsExpression*, QgsFeature const*) () from
/usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#5  0x00007f74226ef2e8 in QgsExpression::evaluate(QgsFeature const*) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#6  0x00007f74226ef3de in QgsExpression::evaluate(QgsFeature const*, QgsFields const&) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#7  0x00007f74227082da in QgsExpression::replaceExpressionText(QString const&, QgsFeature const*, QgsVectorLayer*,

QMap<QString, QVariant> const*, QgsDistanceArea const*) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#8  0x00007f742269d292 in QgsAttributeAction::doAction(int, QgsFeature const&, QMap<QString, QVariant> const*) () from

/usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#9  0x00007f742269d579 in QgsAttributeAction::doAction(int, QgsFeature const&, int) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#10 0x0000000000837a18 in ?? ()

No symbol table info available.

#11 0x00007f742153587a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#12 0x00007f74208b4a62 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007f74208b6433 in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00007f7420ce4489 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0x00007f7420ce89b9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x00007f742090a50a in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#17 0x00007f7420cec7bb in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0x00007f74208bae2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#19 0x00007f74208c15dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007f742269976b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#21 0x00007f74215214dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#22 0x00007f74208c0d93 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#23 0x00007f7420935cfc in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007f7420935269 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0x00007f742095cb02 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007f741c1dee04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#27 0x00007f741c1df048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.
#28 0x00007f741c1df0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#29 0x00007f742154e7a1 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#30 0x00007f742095cbb6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#31 0x00007f74215200af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#32 0x00007f74215203a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#33 0x00007f7420ceb587 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#34 0x00007f7420ceb693 in QMenu::exec(QList<QAction*>, QPoint const&, QAction*, QWidget*) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#35 0x00007f742090a8c9 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#36 0x00007f74208bae2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#37 0x00007f74208c21f8 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#38 0x00007f742269976b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#39 0x00007f74215214dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#40 0x00007f7420935a20 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#41 0x00007f7420935269 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#42 0x00007f742095cb02 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#43 0x00007f741c1dee04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#44 0x00007f741c1df048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#45 0x00007f741c1df0ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#46 0x00007f742154e7a1 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#47 0x00007f742095cbb6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#48 0x00007f74215200af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#49 0x00007f74215203a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#50 0x00007f7421525b79 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
No symbol table info available.

#51 0x00000000004fbd90 in main ()

No symbol table info available.

gdb returned 0

Associated revisions

Revision e49adad1 - 2015-01-21 05:56 PM - Matthias Kuhn

Use cached feature for context menu feature action on attribute dialog

Dirty hack to * fix #11744 * fix #11546

History

#1 - 2014-11-26 01:44 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to High

- Crashes QGIS or corrupts data changed from No to Yes

Cannot confirm here, at least using a random vector layer and by clicking on the standard default action "edit feature form".

Does it happens with any vector? with any actions?

#2 - 2014-11-26 11:38 PM - Alexander Novoselov

Yes. Any vector. Any actions.

In this video, the first call to action - the program does not hang, but the variable is not passed to the action.

This behavior (not to pass variables) was with version 2.4.

http://youtu.be/omILgdwu7m0  see subtitles

Perhaps this feature compilation ubuntu-GIS unstable.

-- offtop

In this version is impossible to work. For example crash when deleting a single vector layer.

#3 - 2014-11-27 02:02 AM - Alexander Novoselov

Windows version crashing when you select the context menu with the standard default actions on the object.

http://youtu.be/lBknZTWSvMM

#4 - 2014-11-27 11:49 AM - Giovanni Manghi

Alexander Novoselov wrote:
Windows version crashing when you select the context menu with the standard default actions on the object.

http://youtu.be/lBknZTWSvMM

qgis master is not affected by this, please give it a try.

#5 - 2014-11-27 12:25 PM - Giovanni Manghi

- Category set to Map Canvas

- Target version changed from Version 2.6 to Version 2.8

Alexander Novoselov wrote:

Yes. Any vector. Any actions.

In this video, the first call to action - the program does not hang, but the variable is not passed to the action.

This behavior (not to pass variables) was with version 2.4.

http://youtu.be/omILgdwu7m0  see subtitles

ok this is can replicate, the video was enlightening.

#6 - 2015-01-10 09:16 AM - Jürgen Fischer

- Status changed from Feedback to Open

#7 - 2015-01-21 08:56 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"e49adad1dec69f9d1db979c099e1208c70213bee".
